org.eclipse.ease.tools

## Class StringTools

- java.lang.Object
- - org.eclipse.ease.tools.StringTools

    public final class StringTools
    extends Object

Helper class for string manipulations.

### Field Summary

Fields
`static String` `LINE_DELIMITER` Default line break character.

### Constructor Summary

Constructors
Constructor and Description
`StringTools()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `toString(InputStream stream)`
`static String` `toString(Reader reader)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LINE_DELIMITER

    public static final String LINE_DELIMITER

Default line break character.

### Constructor Detail

#### StringTools

    public StringTools()

### Method Detail

#### toString

    public static final String toString(InputStream stream)
                                 throws IOException

Throws:
  `IOException`

#### toString

    public static String toString(Reader reader)
                           throws IOException

Throws:
  `IOException`